#
# /etc/samba/smb.conf is the main samba configuration file. See the manual page
# of smb.conf and the included documentation in /usr/share/doc/packages/samba in
# order to understand the options listed here and many more features.
#
# Lines in this file which starts with ; and # are ignored by samba while
# parsing it. Therefor both signs mark a comment, but here we use a # to
# indicate a real comment and ; for a deactivated option. To activate such a
# feature just remove the leading semicolon.
#
# We suggest to use the command 'testparm' after any changes you made.
#
# Copyright (c) 1999-2003 SuSE Linux AG Nuernberg, Germany.
#
# Submit bugfixes or comments to http://www.suse.de/feedback/
#
[global]
	workgroup = HUMBOLDT
        server string = hmbldt %v
        guest account = nobody
        strict locking = yes
	keep alive = 20
	browseable = yes
        passwd program = /usr/bin/passwd %u

# This is an extreme careful value for the os level, due to not destroy an
# already running network of MS clients. Therefore before changing this
# setting, please consult the BROWSING*.txt documents.
	os level = 65
;	time server = Yes

# Make smbd more useful for Unix-clients.
	unix extensions = Yes
	encrypt passwords = Yes

# This tells samba to use the file smbusers for user mapping.
	username map = /etc/samba/smbusers

# Write log files per machine.
	log file = /var/log/samba/%m

# Set an alternate log level. Default is 2.
	log level = 1

# Do not log anything to syslog
	syslog = 0

# To authenticate username/ password via a remote SMB server. E.g. a NT-Server.
# See section 8.1 of the Samba-HOWTO-Collection about how to join a NT Domain.
# The next two lines are also needed, if you use the winbind service.
;	security = DOMAIN
	security = user
; 	security = server     
 	password server = 192.168.10.6

# To add users on the fly, create a group "smbusers"
;	add user script = /usr/sbin/useradd -g smbusers -c "remote smb user" -d /home/%u -m -s /bin/false %u

# Synchronize the UNIX with the SMB password while changing. Keep in mind the
# users created with the line above don't have a login shell by default.
#mit No k�nneN User ihr samba-pw selbst �ndern 
	unix password sync = No


# CUPS is the current SuSE Linux default printing system.
	printing = CUPS
;        printing = BSD
        printcap name =CUPS
# If you want to use LPRNG instead, insert a semicolon in front of the two lines above
# and remove the one from the following line.
;	printing = LPRNG

# If you don't want all your printers automatically shared to samba clients,
# set load printers to no and create extra individual printer shares manually.
	load printers = Yes
# These settings are a suggestion for a local network. See section
# 'socket options' in the man page of smb.conf and socket(7).
	socket options = SO_KEEPALIVE IPTOS_LOWDELAY TCP_NODELAY

# New 64k streaming read and write variant SMB requests introduced with Win2k.
# Can improve performance by 10% with Win2k clients
;	large readwrite = Yes

# To prevent superfluous network traffic if you integrate your server
# into an existing network with e.g. Windows NT servers.
	local master = yes
        preferred master = yes
	domain logons = yes

# Please uncomment the following entry and replace the IP address and
# netmask with the values of your network interface configuration.
	interfaces = 192.168.10.6/255.255.255.0

# Change the value to Yes, if samba should act as a WINS server.
	wins support = Yes

# Set these two parameters to your DOS code page and appropriate UNIX
# character set. These values are for west European languages (Latin-9)
# UNIX character and MS-DOS Latin 1 code page.
#client code page = 850
#	character set = ISO8859-15

# This is a simple measure against Nimba Worm. See README.Win32-Viruses
	veto files = /*.eml/*.nws/riched20.dll/*.{*}/

# To let samba act as a logon-server for windows clients.
	domain logons = Yes
	domain master = Yes

# For a specific logon script per user
;	logon script = %U.bat
# For a specific logon script per machine
;	logon script = %m.bat
# To add machine-accounts on the fly.
;	add user script = /usr/sbin/useradd -g nogroup -c "NT Machine Account" -d /dev/null -s /bin/false %m$

# Where profiles of Windows NT systems are stored.
;	logon path = \\%L\profiles\%U

# koka logonscripts
	logon script = univers.bat

# Where to store the logon scripts.
[netlogon]
	comment = Network Logon Service
	path = /var/lib/samba/netlogon
	browseable = yes

# Extra share for profiles. Default is the home of the user.
;[profiles]
;	comment = Network Profiles Service
;	path = /var/lib/samba/profiles/%u
;	browseable = No
;	read only = No
;	create mask = 0600
;	directory mask = 0700

# For Win2k SP2 clients you need to deactivate NT ACLs; see README.Win2kSP2.
;	nt acl support = No

[homes]
	comment = Home Directories
	valid users = %S
	browseable = No
	read only = No
	create mask = 0755
	directory mask = 0750

# The following share gives all users access to the Server's CD drive,
# assuming it is mounted under /media/cdrom.

[floppy]
	comment = Linux DISK A:
	path = /usr2/public/floppy

[cdrom]
	comment = Linux CD-ROM
	path = /usr2/public/cdrom
;	locking = No
# With the next two lines you could automatically mount or umount the CD if a
# connection to the share is established or closed.
;	preexec = /bin/mount /media/cdrom
;	postexec = /bin/umount /media/cdrom


[server]
	comment = Schulpfad
	path = /usr2
	browseable = yes
	read only = yes


[printers]
	comment = All Printers
	path = /tmp
# Make printers accessible without user authentication.
	guest ok = Yes
	printable = Yes
	create mask = 0600
	browseable = yes
      # read only =yes
#	use client driver = yes
#       printer admin = root,administrator,Administrator

# This share provides printer driver down- and upload in an Windows NT-style
# point-and-print way. For more detailed information consult the Printing
# Support Section of the Samba-HOWTO-Collection. For uploading take extra care
# to add the printer admins to the group lp.
[print$]
	comment = Printer Drivers
	path = /var/lib/samba/printers
# Make printer drivers accessible without user authentication.
	guest ok = Yes
	write list = @ntadmin root
	force group = ntadmin
	create mask = 0664
	directory mask = 0775
	browseable = yes
